Bug 195502 - Regression: cluster mirror creation cmd hangs even though mirror gets created
Summary: Regression: cluster mirror creation cmd hangs even though mirror gets created
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 180185 181409
TreeView+ depends on / blocked
 
Reported: 2006-06-15 15:06 UTC by Corey Marthaler
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 23:34:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Corey Marthaler 2006-06-15 15:06:54 UTC
Description of problem:
With the latest built cmirror rpms an attempt to create a clustered mirror
hangs. There doesn't appear to be any sync issues, or any off by one error, and
the mirror appears to be completely created and in sync from the cluster's point
of view, it's just that the actual cmd to create the mirror never returns.

Version-Release number of selected component (if applicable):
[root@taft-03 ~]# rpm -q cmirror
cmirror-1.0.0-5
[root@taft-03 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-5.4

Comment 1 Jonathan Earl Brassow 2006-06-15 15:22:08 UTC
This is the kernel bug that I will be posting a patch for soon.

After the device is created, lvcreate will attempt to zero out the first bunch
of blocks on the device.  Doing this will cause writes to colide with resync'ing
regions.  This causes a hang in the 2.6.9-39.EL kernel.

To test and see that this is the bug I think it is, you can do 'lvcreate
--nosync ...' and you should not see the hang on lvcreate.  This is because
--nosync says that it will not initially re-sync the mirror - meaning there can
be no colision.

Comment 2 Corey Marthaler 2006-06-15 16:11:23 UTC
This hang does not happen when using the --nosync on creation. 

Comment 4 Jonathan Earl Brassow 2006-06-21 21:29:14 UTC
please retest with kernel > 39.EL

Comment 5 Jason Baron 2006-06-23 18:43:35 UTC
committed in stream U4 build 39.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 11 Red Hat Bugzilla 2006-08-10 23:34:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.